yum update

7 posts / 0 new
Last post
#1 Fri, 07/18/2008 - 23:04
max

yum update

I just ran "yum update" and confirmed Y[es] to run the updates. I noticed that there was a package in the list called "virtualmin-base.noarch" or something similar.

Is this going to be a problem since I am running Virtualmin pro? Does yum update just update or does it install a bunch of packages that I dont need?

Fri, 07/18/2008 - 23:54
Joe
Joe's picture

Probably not. But, you could run it from the command line and let yum tell you what it's going to do first.

yum check-update

Will probably do the trick, or just "yum update" in an interactive terminal will ask before it actually updates anything--and show a list of packages to be installed, I think.

--

Check out the forum guidelines!

Fri, 07/18/2008 - 23:56 (Reply to #2)
Joe
Joe's picture

But wait...Don't you already have virtualmin-base installed? I haven't rolled an update in ages, so I wouldn't think it would be just now seeing a new version.

If you don't already have virtualmin-base installed (for example if you manually installed your system), you pretty much definitely don't want to install it. It's somewhat disruptive. I wonder why it's offering to install it, if it's not already installed...weird.

--

Check out the forum guidelines!

Sat, 07/19/2008 - 08:42
max

I am starting my billing for the few clients i have right now and one large client. So How can I confirm that this has had any positive or negative effect on my system? Will yum try to update Vmin next time too? This would suck if it hosed my install just before I take a bunch of clients live. :-(

Thanks,
Max

Just in case you need this....here is the updated packages:

Updated: Deployment_Guide-en-US.noarch 0:5.2-11.el5.centos MySQL-python.i386 0:1.2.2-1 NetworkManager.i386 1:0.6.4-8.el5 OpenIPMI.i386 0:2.0.6-6.el5 OpenIPMI-libs.i386 0:2.0.6-6.el5 acl.i386 0:2.2.39-3.el5 amtu.i386 0:1.0.6-1.el5 apr-util.i386 0:1.2.7-7.el5 at-spi.i386 0:1.7.11-3.el5 audit.i386 0:1.6.5-9.el5 audit-libs.i386 0:1.6.5-9.el5 audit-libs-python.i386 0:1.6.5-9.el5 authconfig.i386 0:5.3.21-3.el5 autofs.i386 1:5.0.1-0.rc2.88 bash.i386 0:3.2-21.el5 bind.i386 30:9.3.4-6.0.2.P1.el5_2 bind-chroot.i386 30:9.3.4-6.0.2.P1.el5_2 bind-libs.i386 30:9.3.4-6.0.2.P1.el5_2 bind-utils.i386 30:9.3.4-6.0.2.P1.el5_2 binutils.i386 0:2.17.50.0.6-6.el5 bluez-libs.i386 0:3.7-1.1 bluez-utils.i386 0:3.7-2.2.el5.centos caching-nameserver.i386 30:9.3.4-6.0.2.P1.el5_2 cairo.i386 0:1.2.4-5.el5 centos-release.i386 10:5-2.el5.centos centos-release-notes.i386 0:5.2-2 checkpolicy.i386 0:1.33.1-4.el5 chkconfig.i386 0:1.3.30.1-2 coolkey.i386 0:1.1.0-6.el5 coolkey-devel.i386 0:1.1.0-6.el5 coreutils.i386 0:5.97-14.el5 cpp.i386 0:4.1.2-42.el5 cpuspeed.i386 1:1.2.1-3.el5 crash.i386 0:4.0-5.0.3.el5.centos crypto-utils.i386 0:2.3-2.el5 cups-libs.i386 1:1.2.4-11.18.el5_2.1 cyrus-imapd.i386 0:2.3.7-2.el5 cyrus-imapd-perl.i386 0:2.3.7-2.el5 cyrus-imapd-utils.i386 0:2.3.7-2.el5 dbus.i386 0:1.0.0-7.el5 dbus-devel.i386 0:1.0.0-7.el5 device-mapper.i386 0:1.02.24-1.el5 device-mapper-multipath.i386 0:0.4.7-17.el5 dhclient.i386 12:3.0.5-13.el5 diffstat.i386 0:1.41-1.2.3.el5 diffutils.i386 0:2.8.1-15.2.3.el5 dmraid.i386 0:1.0.0.rc13-9.el5 e2fsprogs.i386 0:1.39-15.el5 e2fsprogs-devel.i386 0:1.39-15.el5 e2fsprogs-libs.i386 0:1.39-15.el5 file.i386 0:4.17-13 freetype.i386 0:2.2.1-20.el5_2 frysk.i686 0:0.0.1.2008.03.19.rh1-1.el5 gcc.i386 0:4.1.2-42.el5 gcc-c++.i386 0:4.1.2-42.el5 gcc-gfortran.i386 0:4.1.2-42.el5 gdb.i386 0:6.5-37.el5_2.2 glibc.i686 0:2.5-24 glibc-common.i386 0:2.5-24 glibc-devel.i386 0:2.5-24 glibc-headers.i386 0:2.5-24 gnutls.i386 0:1.4.1-3.el5_1 grub.i386 0:0.97-13.2 gtk2.i386 0:2.10.4-20.el5 gzip.i386 0:1.3.5-10.el5.centos hal.i386 0:0.5.8.1-35.el5 htmlview.noarch 0:4.0.0-2.el5 hwbrowser.noarch 0:0.30-2.el5 hwdata.noarch 0:0.213.6-1.el5 initscripts.i386 0:8.45.19.EL-1.el5.centos.1 iproute.i386 0:2.6.18-7.el5 ipsec-tools.i386 0:0.6.5-9.el5_2.1 iptables.i386 0:1.3.5-4.el5 iptables-ipv6.i386 0:1.3.5-4.el5 irqbalance.i386 2:0.55-10.el5 kbd.i386 0:1.12-20.el5 kernel-headers.i386 0:2.6.18-92.1.6.el5 kpartx.i386 0:0.4.7-17.el5 krb5-devel.i386 0:1.6.1-25.el5 krb5-libs.i386 0:1.6.1-25.el5 krb5-workstation.i386 0:1.6.1-25.el5 ksh.i386 0:20060214-1.7 kudzu.i386 0:1.2.57.1.17-1 kudzu-devel.i386 0:1.2.57.1.17-1 libX11.i386 0:1.0.3-9.el5 libacl.i386 0:2.2.39-3.el5 libacl-devel.i386 0:2.2.39-3.el5 libgcc.i386 0:4.1.2-42.el5 libgcj.i386 0:4.1.2-42.el5 libgfortran.i386 0:4.1.2-42.el5 libgomp.i386 0:4.1.2-42.el5 libnl.i386 0:1.0-0.10.pre5.5 libpcap.i386 14:0.9.4-12.el5 libselinux.i386 0:1.33.4-5.el5 libselinux-devel.i386 0:1.33.4-5.el5 libselinux-python.i386 0:1.33.4-5.el5 libstdc++.i386 0:4.1.2-42.el5 libstdc++-devel.i386 0:4.1.2-42.el5 libuser.i386 0:0.54.7-2.el5.5 libuser-devel.i386 0:0.54.7-2.el5.5 libvolume_id.i386 0:095-14.16.el5 libxslt.i386 0:1.1.17-2.el5_1.1 libxslt-devel.i386 0:1.1.17-2.el5_1.1 libxslt-python.i386 0:1.1.17-2.el5_1.1 ltrace.i386 0:0.5-7.45svn.el5 lvm2.i386 0:2.02.32-4.el5 m2crypto.i386 0:0.16-6.el5.2 make.i386 1:3.81-3.el5 mdadm.i386 0:2.6.4-1.el5 microcode_ctl.i386 1:1.17-1.47.el5 mkinitrd.i386 0:5.1.19.6-28 module-init-tools.i386 0:3.3-0.pre3.1.37.el5 nash.i386 0:5.1.19.6-28 net-snmp.i386 1:5.3.1-24.el5_2.1 net-snmp-libs.i386 1:5.3.1-24.el5_2.1 net-tools.i386 0:1.60-78.el5 newt.i386 0:0.52.2-10.el5 newt-devel.i386 0:0.52.2-10.el5 nfs-utils.i386 1:1.0.9-33.el5 notification-daemon.i386 0:0.3.5-9.el5 nscd.i386 0:2.5-24 nspr.i386 0:4.7.1-1.el5 nss.i386 0:3.12.0.3-1.el5.centos nss-tools.i386 0:3.12.0.3-1.el5.centos nss_db.i386 0:2.2-35.3 nss_ldap.i386 0:253-12.el5 ntp.i386 0:4.2.2p1-8.el5.centos.1 ntsysv.i386 0:1.3.30.1-2 oddjob.i386 0:0.27-9.el5 oddjob-libs.i386 0:0.27-9.el5 openldap.i386 0:2.3.27-8.el5_2.4 openldap-clients.i386 0:2.3.27-8.el5_2.4 openldap-devel.i386 0:2.3.27-8.el5_2.4 openssh.i386 0:4.3p2-26.el5 openssh-clients.i386 0:4.3p2-26.el5 openssh-server.i386 0:4.3p2-26.el5 oprofile.i386 0:0.9.3-16.el5 pam.i386 0:0.99.6.2-3.27.el5 pam-devel.i386 0:0.99.6.2-3.27.el5 paps.i386 0:0.6.6-18.el5 parted.i386 0:1.8.1-17.el5 pciutils.i386 0:2.2.3-5 pciutils-devel.i386 0:2.2.3-5 pcsc-lite.i386 0:1.4.4-0.1.el5 pcsc-lite-devel.i386 0:1.4.4-0.1.el5 pcsc-lite-libs.i386 0:1.4.4-0.1.el5 php.i386 0:5.1.6-20.el5_2.1 php-cli.i386 0:5.1.6-20.el5_2.1 php-common.i386 0:5.1.6-20.el5_2.1 php-gd.i386 0:5.1.6-20.el5_2.1 php-imap.i386 0:5.1.6-20.el5_2.1 php-ldap.i386 0:5.1.6-20.el5_2.1 php-mbstring.i386 0:5.1.6-20.el5_2.1 php-mysql.i386 0:5.1.6-20.el5_2.1 php-odbc.i386 0:5.1.6-20.el5_2.1 php-pdo.i386 0:5.1.6-20.el5_2.1 php-pear.noarch 1:1.4.9-4.el5.1 php-pgsql.i386 0:5.1.6-20.el5_2.1 php-snmp.i386 0:5.1.6-20.el5_2.1 php-xmlrpc.i386 0:5.1.6-20.el5_2.1 pkgconfig.i386 1:0.21-2.el5 pm-utils.i386 0:0.99.3-6.el5.centos.19 policycoreutils.i386 0:1.33.12-14.el5 popt.i386 0:1.10.2-48.el5 procps.i386 0:3.2.7-9.el5 psmisc.i386 0:22.2-6 pygtk2.i386 0:2.10.1-12.el5 pygtk2-libglade.i386 0:2.10.1-12.el5 redhat-rpm-config.noarch 0:8.0.45-24.el5 rpm.i386 0:4.4.2-48.el5 rpm-build.i386 0:4.4.2-48.el5 rpm-devel.i386 0:4.4.2-48.el5 rpm-libs.i386 0:4.4.2-48.el5 rpm-python.i386 0:4.4.2-48.el5 ruby.i386 0:1.8.5-5.el5_2.3 ruby-devel.i386 0:1.8.5-5.el5_2.3 ruby-irb.i386 0:1.8.5-5.el5_2.3 ruby-libs.i386 0:1.8.5-5.el5_2.3 ruby-rdoc.i386 0:1.8.5-5.el5_2.3 samba.i386 0:3.0.28-1.el5_2.1 samba-client.i386 0:3.0.28-1.el5_2.1 samba-common.i386 0:3.0.28-1.el5_2.1 selinux-policy.noarch 0:2.4.6-137.1.el5 selinux-policy-targeted.noarch 0:2.4.6-137.1.el5 shadow-utils.i386 2:4.0.17-13.el5 shared-mime-info.i386 0:0.19-5.el5 smartmontools.i386 1:5.36-4.el5 sudo.i386 0:1.6.8p12-12.el5 sysklogd.i386 0:1.4.1-44.el5 sysstat.i386 0:7.0.2-1.el5 system-config-httpd.noarch 5:1.3.3.3-1.el5 system-config-network-tui.noarch 0:1.3.99.10-2.el5 system-config-securitylevel.i386 0:1.6.29.1-2.1.el5 system-config-securitylevel-tui.i386 0:1.6.29.1-2.1.el5 systemtap.i386 0:0.6.2-1.el5 systemtap-runtime.i386 0:0.6.2-1.el5 tcpdump.i386 14:3.9.4-12.el5 traceroute.i386 3:2.0.1-3.el5 udev.i386 0:095-14.16.el5 usermode.i386 0:1.88-3.el5.1 usermode-gtk.i386 0:1.88-3.el5.1 util-linux.i386 0:2.13-0.47.el5 <b>virtualmin-base.noarch</b> 0:1.0-60.rh vsftpd.i386 0:2.0.5-12.el5 wpa_supplicant.i386 1:0.4.8-10.2.el5 xorg-x11-server-Xvfb.i386 0:1.1.1-48.41.el5_2.1 xorg-x11-xinit.i386 0:1.0.2-15.el5 yum.noarch 0:3.2.8-9.el5.centos.2.1 yum-metadata-parser.i386 0:1.1.2-2.el5 yum-updatesd.noarch 1:0.9-2.el5

.....................

Sat, 07/19/2008 - 08:53 (Reply to #4)
andreychek

Howdy,

Do you recall how you installed Virtualmin? Did you use an install.sh script, or did you perhaps extract a tar.gz package then install that?
-Eric

Sat, 07/19/2008 - 11:24
max

If I remember correctly, I used the Virtualmin Pro script installer.

Sat, 07/19/2008 - 16:09 (Reply to #6)
Joe
Joe's picture

You're fine if you used the install script. Updates to virtualmin-base are completely harmless, as long as you're always using RPM packages for everything that we provide (which is true when installed via install.sh).

That big long list of updates is the CentOS 5.1 to 5.2 update, probably. Doesn't have anything to do with Virtualmin, at all...just means you haven't updated your system in a while. You'll want to test things a bit--as you would in any major OS upgrade. We'd recommend you keep things updated more frequently in the future--the more packages you upgrade at once, the more likely trouble will pop up....and if it pops up when there's 100 new versions, you may have very little clue which package is the culprit.

--

Check out the forum guidelines!